public class TestBissextileEnConsole {

/////////////////////////////////////////////

/* Test si une annee est bissextile        */

  static boolean testBissextile(int annee) {
    boolean res;
    if ( annee%400 == 0 ) {
      res = true; }
      else {
      if ( annee%100 == 0 ) {
        res = false; }
        else {
        if ( annee%4 == 0 ) {
          res = true; }
          else {
          res = false; } } }
    return res;
  }

/////////////////////////////////////////////

/* Programme principal                     */

  public static void main(String [] args) {
    Console.setTitle("TestBissextile");
    int a;
    boolean resultat;
    Console.afficher("SVP, l'annee         : ");
    a = Console.saisirInt();
    resultat = testBissextile(a);
    Console.afficherln("Test de bissextilite : ",resultat);
  }
}